openSUSE: 2022:10077-1 important: seamonkey | LinuxSecurity.com

   openSUSE Security Update: Security update for seamonkey
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2022:10077-1
Rating:             important
References:         
Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that contains security fixes can now be installed.

Description:

   This update for seamonkey fixes the following issues:

   update to SeaMonkey 2.53.13

   * Updates to devtools.
   * Updates to build configuration.
   * Starting the switch from Python 2 to Python 3 in the build system.
   * Removal of array comprehensions, legacy iterators and generators bug
     1414340 and bug 1098412.
   * Adding initial optional chaining and Promise.allSettled() support.
   * SeaMonkey 2.53.13 uses the same backend as Firefox and contains the
     relevant Firefox 60.8 security fixes.
   * SeaMonkey 2.53.13 shares most parts of the mail and news code with
     Thunderbird. Please read the Thunderbird 60.8.0 release notes for
     specific security fixes in this release.
   * Additional important security fixes up to Current Firefox 91.11 and
     Thunderbird 91.11 ESR plus many enhancements have been backported. We
     will continue to enhance SeaMonkey security in subsequent 2.53.x beta
     and release versions as fast as we are able to.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-2022-10077=1



Package List:

   - openSUSE Leap 15.3 (aarch64 x86_64):

      seamonkey-2.53.13-lp153.17.11.3
      seamonkey-debuginfo-2.53.13-lp153.17.11.3
      seamonkey-debugsource-2.53.13-lp153.17.11.3
      seamonkey-dom-inspector-2.53.13-lp153.17.11.3
      seamonkey-irc-2.53.13-lp153.17.11.3


References:

openSUSE: 2022:10077-1 important: seamonkey

August 3, 2022
An update that contains security fixes can now be installed

Description

This update for seamonkey fixes the following issues: update to SeaMonkey 2.53.13 * Updates to devtools. * Updates to build configuration. * Starting the switch from Python 2 to Python 3 in the build system. * Removal of array comprehensions, legacy iterators and generators bug 1414340 and bug 1098412. * Adding initial optional chaining and Promise.allSettled() support. * SeaMonkey 2.53.13 uses the same backend as Firefox and contains the relevant Firefox 60.8 security fixes. * SeaMonkey 2.53.13 shares most parts of the mail and news code with Thunderbird. Please read the Thunderbird 60.8.0 release notes for specific security fixes in this release. * Additional important security fixes up to Current Firefox 91.11 and Thunderbird 91.11 ESR plus many enhancements have been backported. We will continue to enhance SeaMonkey security in subsequent 2.53.x beta and release versions as fast as we are able to.

 

Patch

Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.3: zypper in -t patch openSUSE-2022-10077=1


Package List

- openSUSE Leap 15.3 (aarch64 x86_64): seamonkey-2.53.13-lp153.17.11.3 seamonkey-debuginfo-2.53.13-lp153.17.11.3 seamonkey-debugsource-2.53.13-lp153.17.11.3 seamonkey-dom-inspector-2.53.13-lp153.17.11.3 seamonkey-irc-2.53.13-lp153.17.11.3


References


Severity
Announcement ID: openSUSE-SU-2022:10077-1
Rating: important
Affected Products: openSUSE Leap 15.3 . Affected Products: openSUSE Leap 15.3 .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.